<template>
  <div>
    <br>
    <div>
      <q-uploader
      name="Upload"
      :url="resumeUrl"
      :multiple=true
      float-label="Upload Resume(s)"
      class="blue-grey-4"></q-uploader>
    </div>
    <br>
    <div>
      <q-uploader
      :url="jobUrl"
      :multiple=true
      float-label="Upload Job(s)"
      label="Job(s)"
      class="blue-grey-4"></q-uploader>
    </div>

  </div>
</template>

<script>
// import taleanconnector from './taleanconnector'
// import helper from './helper'
import {
  QCard,
  QCardTitle,
  QCardSeparator,
  QCardMain,
  QUploader
} from 'quasar'

export default {
  name: 'upload',
  components: {
    QCard,
    QCardTitle,
    QCardSeparator,
    QCardMain,
    QUploader
  },
  data () {
    return {
      name: '',
      email: '',
      address: '',
      phonenumber: '',
      birthdate: '',
      organization: '',
      results: [],
      searchterm: '',
      searchterms: [],
      resumeUrl: 'http://localhost:3000/uploadResume?userid=' + this.$session.get('userid'),
      jobUrl: 'http://localhost:3000/uploadJob?userid=' + this.$session.get('userid')
    }
  },
  created: function () {
    if (!this.$session.get('loggedin')) {
      this.$router.push('/login')
    }
  },
  computed: {
    username () {
      return this.$session.get('username')
    }
  },
  methods: {
    somethang: function () {
      // this.$store.commit('increment')
      // console.log(this.$store.state.count)
      console.log(this.$session.get('userid'))
      // console.log(window.localStorage)
    }
  },
  mounted () {
  },
  beforeDestroy () {
  }
}
</script>

<style lang="stylus">
</style>
